import { StreamReceiver } from './receiver';
import { StreamSender } from './sender';
import { StreamKinds } from './utils/types';
import { TypedEventEmitter } from './utils/typed-event-emitter';
import type { ISessionCallbacks, ISessionConfig } from './interfaces/session';
import { StreamRemote } from './remote';
import type { IStreamSender, SenderConfig } from './interfaces/sender';
import type { IStreamReceiver } from './interfaces';
import { StreamPublisher } from './publisher';
import { StreamConsumer } from './consumer';
import { StreamConsumerPair } from './consumer-pair';
import { ReceiverMixMinusAudio } from './receiver-mix-minus';
export declare class Session extends TypedEventEmitter<ISessionCallbacks> {
    private _cfg;
    private _audioSenders;
    private _videoSenders;
    private _streams;
    private _audioReceivers;
    private _videoReceivers;
    private _remotes;
    private logger;
    private _rpc;
    private _mixminus?;
    disconnected: boolean;
    wasConnected: boolean;
    private _socket;
    constructor(urls: string | string[], _cfg: ISessionConfig);
    connect(): Promise<void>;
    ping(): Promise<number>;
    restartIce(): Promise<void>;
    private restartIceInternal;
    private _onSenderStopped;
    disconnect(): Promise<void>;
    createPublisher(cfg: SenderConfig): StreamPublisher;
    createConsumer(remote: StreamRemote): StreamConsumer;
    createConsumerPair(peerId: string, audioName: string, videoName: string): StreamConsumerPair;
    createSender(cfg: SenderConfig): StreamSender;
    createReceiver(kind: StreamKinds): StreamReceiver;
    takeReceiver(kind: StreamKinds): IStreamReceiver;
    getMixMinusAudio(): ReceiverMixMinusAudio | undefined;
    backReceiver(receiver: IStreamReceiver): void;
    getSender(kind: StreamKinds, name: string): IStreamSender | undefined;
    private update;
    private updateSdp;
    private onRoomStats;
    private onStreamEvent;
}
//# sourceMappingURL=session.d.ts.map